Redmine - Defect #28339

Some parts are unseen with dark theme.
2018-03-15 02:11 - sergio .

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 3.4.4
Description

I'v just set dark theme for GTK:
export GTK_THEME=Adwaita:dark
and firefox uses it.

So by default all backgroud is dark and font is light. And it's OK while you changes both values (fg and bg) together and avoid
change only one value. But really if your style is Light you should define all colors and avoid defaults!

Related issues:
Related to Redmine - Patch #31147: Add custom styles for all fields Closed

History

#1 - 2018-03-15 02:13 - sergio .

- File redmine-mail.png added

same for e-mails

#2 - 2018-05-25 11:20 - Bernhard Rohloff
- File Define_CSS_style for_form_elements.patch added

I've created a patch defining the form elements style. After applying the patch the 'select' elements are styled like the drop-down menu for project
selection in the header.
The patch looks fine in Chrome and Firefox.

#3 - 2019-04-05 13:19 - Bernhard Rohloff
- Related to Patch #31147: Add custom styles for all fields added

#4 - 2021-03-02 17:15 - Bernhard Rohloff
- Status changed from New to Closed

- Resolution set to Fixed

I've tested recent versions of Redmine with the Adwaita-dark theme on Ubuntu 20.04 and coldn't reproduce the described issues.
IMHO this issue can be closed.

Files

redmine.png 156 KB 2018-03-15 sergio .
redmine-mail.png 45.5 KB 2018-03-15 sergio .
Define_CSS_style_for_form_elements.patch 1.04 KB 2018-05-25 Bernhard Rohloff
